在开源运动的洪流中，中国从没有自己的高水平ERP开源软件，要么是业务深度不够，要么没有具备高度可定制性的技术支撑能力；iBiz希望能够做出中国自己的既具备足够业务覆盖，又拥有强大定制技术支撑的开源商业套件，服务于中小企业并开放给广大个人开发者和实施商，为中国乃至世界的开源事业做出自己的贡献，为中国数字经济的发展和企业数字化转型贡献自己的力量。

iBiz商业套件将是一个站在巨人肩膀上的产品，会吸收业界先进产品（微软Dynamics 365 、 Odoo 等）业务模型，保证业务的成熟可用；iBiz商业套件将拥有强大的技术支撑Paas平台，为定制实施和应用落地提供效率支撑；iBiz将始终秉承开源理念，立志成为中国的Odoo、更希望成为世界的iBiz。

iBiz商业套件全面采取中台模式、SpringBoot+VUE前后台分离架构、MDD/MDA全方位建模技术，致力于提供高可用度、全业务覆盖、高可定制性的重度开源项目。

本次开源的iBizBusinessCentral是商业套件管理企业各应用的大主板，目前在其上集成了CRM（客户关系管理）应用，而在不久的将来iBiz将陆续发布HumanResources（人力资源）、AssetManagement（资产管理）、 Commerce（电子商务）、 ProjectOperations（项目运行）、 UniversalResourceScheduling（资源管理）、 FieldService（现场服务）、 CustomerService（客户服务）等应用来满足企业全方位的管理需求，请大家持续关注！！！

# 技术框架
**后台技术模板[iBiz4j Spring R7](http://demo.ibizlab.cn/ibizr7sfstdtempl/ibiz4jr7)**
* 核心框架：Spring Boot
* 持久层框架: Mybatis-plus
* 服务发现：Nacos
* 日志管理：Logback
* 项目管理框架: Maven

**前端技术模板[iBiz-Vue-R7-Plus](http://demo.ibizlab.cn/ibizr7pfstdtempl/ibizvuer7plus)**
* 前端MVVM框架：vue.js 2.6.10
* 路由：vue-router 3.1.3
* 状态管理：vue-router 3.1.3
* 国际化：vue-i18n 8.15.3
* 数据交互：axios 0.19.1
* UI框架：element-ui 2.13.0, view-design 4.1.0
* 工具库：qs, path-to-regexp, rxjs
* 图标库：font-awesome 4.7.0
* 引入组件： tinymce 4.8.5
* 代码风格检测：eslint


# 开发环境
* JDK
* Maven
* Node.js
* Yarn
* Vue Cli

# 开源说明
* 本系统100%开源，遵守MIT协议

# 模型设计
* ER图设计
![输入图片说明](https://images.gitee.com/uploads/images/2020/0728/113603_6c964662_7582525.png "ER图.png")

